--[[----------------------------------------------------------------------------
DemoFilterProvider.lua
------------------------------------------------------------------------------]]

-- Lightroom SDK

local LrLogger = import 'LrLogger'
local myLogger = LrLogger( 'libraryLogger' )


myLogger:enable( "print" ) -- or "logfile"


--============================================================================--

local DemoFilterProvider = {}

function DemoFilterProvider.sectionForFilterInDialog(f, p)
	return {
		title = 'Demo Plugin',
		f:row {
			place = "overlapping",
			f:static_text {
						width = leftSideWidth,
						alignment = "center",
						size = 24,
						title = "Demo Plugin"
					}
		}
	}
end

-------------------------------------------------------------------------------

function DemoFilterProvider.postProcessRenderedPhotos( functionContext, filterContext )
	local renditionOptions = {
		plugin = _PLUGIN,
		renditionsToSatisfy = filterContext.renditionsToSatisfy,
		filterSettings = function( renditionToSatisfy, exportSettings )
		end,
	}
			
	
	for sourceRendition, renditionToSatisfy in filterContext:renditions(renditionOptions) do
		local success, pathOrMessage = sourceRendition:waitForRender()

		if success then
-- 		perform some magic
		end
	end
end


function DemoFilterProvider.shouldRenderPhoto( exportSettings, photo )
	return true
end



-------------------------------------------------------------------------------

return DemoFilterProvider
